QuickFIX: FIX::NullStore Class Reference

Index Source Files Annotated Class List Alphabetical Class List Class Hierarchy Graphical Class Hierarchy

# FIX::NullStore Class Reference

Null implementation of MessageStore. More...

`#include <NullStore.h>`

Inheritance diagram for FIX::NullStore:
[legend]
Collaboration diagram for FIX::NullStore:
[legend]

List of all members.

## Public Member Functions
| NullStore ()
bool | set (int, const std::string &) throw ( IOException )
void | get (int, int, std::vector< std::string > &) const throw ( IOException )
int | getNextSenderMsgSeqNum () const throw ( IOException )
int | getNextTargetMsgSeqNum () const throw ( IOException )
void | setNextSenderMsgSeqNum (int value) throw ( IOException )
void | setNextTargetMsgSeqNum (int value) throw ( IOException )
void | incrNextSenderMsgSeqNum () throw ( IOException )
void | incrNextTargetMsgSeqNum () throw ( IOException )
void | setCreationTime (const UtcTimeStamp &creationTime) throw ( IOException )
UtcTimeStamp | getCreationTime () const throw ( IOException )
void | reset () throw ( IOException )
void | refresh () throw ( IOException )
## Private Attributes
int | m_nextSenderMsgSeqNum
int | m_nextTargetMsgSeqNum
UtcTimeStamp | m_creationTime

## Detailed Description

Null implementation of MessageStore.

Will not actually store messages. Useful for admin-only or market data-only applications.

Definition at line 58 of file NullStore.h.

## Constructor & Destructor Documentation

FIX::NullStore::NullStore | ( |  | ) | `[inline]`

Definition at line 61 of file NullStore.h.

    00061 : m_nextSenderMsgSeqNum( 1 ), m_nextTargetMsgSeqNum( 1 ) {}

## Member Function Documentation

void FIX::NullStore::get | ( | int | begin,
|  | int | end,
|  | std::vector< std::string > & | messages |
| ) |  |  | const throw ( IOException )`[virtual]`

Implements FIX::MessageStore.

Definition at line 51 of file NullStore.cpp.

References QF_STACK_POP, and QF_STACK_PUSH.

    00054 { QF_STACK_PUSH(NullStore::get)
    00055   messages.clear();
    00056   QF_STACK_POP
    00057 }

UtcTimeStamp FIX::NullStore::getCreationTime | ( |  | ) | const throw ( IOException )`[inline, virtual]`

Implements FIX::MessageStore.

Definition at line 81 of file NullStore.h.

References m_creationTime.

    00082   { return m_creationTime; }

int FIX::NullStore::getNextSenderMsgSeqNum | ( |  | ) | const throw ( IOException )`[inline, virtual]`

Implements FIX::MessageStore.

Definition at line 66 of file NullStore.h.

References m_nextSenderMsgSeqNum.

    00067   { return m_nextSenderMsgSeqNum; }

int FIX::NullStore::getNextTargetMsgSeqNum | ( |  | ) | const throw ( IOException )`[inline, virtual]`

Implements FIX::MessageStore.

Definition at line 68 of file NullStore.h.

References m_nextTargetMsgSeqNum.

    00069   { return m_nextTargetMsgSeqNum; }

void FIX::NullStore::incrNextSenderMsgSeqNum | ( |  | ) | throw ( IOException )`[inline, virtual]`

Implements FIX::MessageStore.

Definition at line 74 of file NullStore.h.

References m_nextSenderMsgSeqNum.

    00075   { ++m_nextSenderMsgSeqNum; }

void FIX::NullStore::incrNextTargetMsgSeqNum | ( |  | ) | throw ( IOException )`[inline, virtual]`

Implements FIX::MessageStore.

Definition at line 76 of file NullStore.h.

References m_nextTargetMsgSeqNum.

    00077   { ++m_nextTargetMsgSeqNum; }

void FIX::NullStore::refresh | ( |  | ) | throw ( IOException )`[inline, virtual]`

Implements FIX::MessageStore.

Definition at line 89 of file NullStore.h.

    00089 {}

void FIX::NullStore::reset | ( |  | ) | throw ( IOException )`[inline, virtual]`

Implements FIX::MessageStore.

Definition at line 84 of file NullStore.h.

References m_creationTime, m_nextSenderMsgSeqNum, m_nextTargetMsgSeqNum, and FIX::UtcTimeStamp::setCurrent().

    00085   {
    00086     m_nextSenderMsgSeqNum = 1; m_nextTargetMsgSeqNum = 1;
    00087     m_creationTime.setCurrent();
    00088   }

bool FIX::NullStore::set | ( | int | msgSeqNum,
|  | const std::string & | msg |
| ) |  |  | throw ( IOException )`[virtual]`

Implements FIX::MessageStore.

Definition at line 44 of file NullStore.cpp.

References QF_STACK_POP, and QF_STACK_PUSH.

    00046 { QF_STACK_PUSH(NullStore::set)
    00047   return true;
    00048   QF_STACK_POP
    00049 }

void FIX::NullStore::setCreationTime | ( | const UtcTimeStamp & | creationTime | ) | throw ( IOException )`[inline]`

Definition at line 79 of file NullStore.h.

References m_creationTime.

    00080   { m_creationTime = creationTime; }

void FIX::NullStore::setNextSenderMsgSeqNum | ( | int | value | ) | throw ( IOException )`[inline, virtual]`

Implements FIX::MessageStore.

Definition at line 70 of file NullStore.h.

References m_nextSenderMsgSeqNum.

    00071   { m_nextSenderMsgSeqNum = value; }

void FIX::NullStore::setNextTargetMsgSeqNum | ( | int | value | ) | throw ( IOException )`[inline, virtual]`

Implements FIX::MessageStore.

Definition at line 72 of file NullStore.h.

References m_nextTargetMsgSeqNum.

    00073   { m_nextTargetMsgSeqNum = value; }

## Member Data Documentation

UtcTimeStamp FIX::NullStore::m_creationTime`[private]`

Definition at line 94 of file NullStore.h.

Referenced by getCreationTime(), reset(), and setCreationTime().

int FIX::NullStore::m_nextSenderMsgSeqNum`[private]`

Definition at line 92 of file NullStore.h.

Referenced by getNextSenderMsgSeqNum(), incrNextSenderMsgSeqNum(), reset(), and setNextSenderMsgSeqNum().

int FIX::NullStore::m_nextTargetMsgSeqNum`[private]`

Definition at line 93 of file NullStore.h.

Referenced by getNextTargetMsgSeqNum(), incrNextTargetMsgSeqNum(), reset(), and setNextTargetMsgSeqNum().

The documentation for this class was generated from the following files:

- /home/omiller/Development/autobuild/quickfix/src/C++/NullStore.h
- /home/omiller/Development/autobuild/quickfix/src/C++/NullStore.cpp